For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • GETList customer subscriptions
      • POSTActivate a subscription
      • GETGet a subscription
      • PUTUpdate a subscription
      • DELCancel a subscription
      • GETList subscription types
    • Errors & status codes
LogoLogo
Panic API ReferenceSubscriptions

Get a subscription

GET
/panic-api/v2/subscriptions/:subscriptionId
GET
/panic-api/v2/subscriptions/:subscriptionId
$curl https://staging-panic.aura.services/panic-api/v2/subscriptions/8811 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 8811,
3 "customerId": 178921,
4 "subscriptionTypeId": 4,
5 "status": "active",
6 "dependantCustomerIds": [
7 1
8 ]
9}
Retrieves one subscription by ID.
Was this page helpful?
Previous

Update a subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

subscriptionIdintegerRequired
Subscription identifier.

Response

Subscription details.
idinteger
customerIdinteger
subscriptionTypeIdinteger
statusstring
dependantCustomerIdslist of integers

Errors

401
Unauthorized Error
404
Not Found Error